tokyocabinet-haskell-0.0.5: Haskell binding of Tokyo Cabinet

Safe Haskell | None

Database.TokyoCabinet.BDB.Cursor

# Documentation

data CursorPutMode Source

Constructors

CPCURRENT |
CPBEFORE |
CPAFTER |

Instances

Eq CursorPutMode |
Ord CursorPutMode |
Show CursorPutMode |

new :: BDB -> IO BDBCUR Source

delete :: BDBCUR -> IO ()Source

first :: BDBCUR -> IO Bool Source

last :: BDBCUR -> IO Bool Source

jump :: Storable k => BDBCUR -> k -> IO Bool Source

prev :: BDBCUR -> IO Bool Source

next :: BDBCUR -> IO Bool Source

put :: Storable v => BDBCUR -> v -> CursorPutMode -> IO Bool Source

out :: BDBCUR -> IO Bool Source

key :: Storable k => BDBCUR -> IO (Maybe k)Source

val :: Storable v => BDBCUR -> IO (Maybe v)Source

data BDBCUR Source